cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
547
Views
1
Helpful
5
Replies
Highlighted

Couldn't start CRUD services

Hi mates,

I am trying to test OpenConfig/NetConf with YANG Development Kit on my local test bed. The IOS-XRv 6.1.2 nodes along with Ubuntu Servers are mounted on vSphere host and the proper connectivity.

I followed the steps to install YDK-Gen along with the YDK-Py as listed on this site : http://ydk.cisco.com/py/docs/getting_started.html#how-to-install

So far I haven't been able to start the ydk services properly as shown below:

nextcomm@ntc-ubuntu-server-3:~/automation/ydk-py-master/ydk-py-samples$ python hello-ydk.py

Traceback (most recent call last):

  File "hello-ydk.py", line 23, in <module>

    from ydk.services import CRUDService

ImportError: No module named services

Any advice or tip will be appreciated.

Thanks,

JM

5 REPLIES 5
Highlighted
Cisco Employee

Based on the error, it seems ydk-py is not installed correctly. Could your ydk-py be installed in a different python environment?

Highlighted

Hi abhirame,

Thanks for the quick response.

I used the following steps to install YDK Packages on my Ubuntu Server 14.06. Am I missing something ?

  • Procedure to install YDK on Ubuntu  (Debian-Based)
    • Install ydk-gen
      • Setting up the environment
        • It's recommended that you run ydk-gen under a Python virtual environment (virtualenv/virtualenvwrapper). To install support in your system, execute:
          • $ pip install virtualenv virtualenvwrapper
          • $ source /usr/local/bin/virtualenvwrapper.sh
        • At this point, create a new virtual environment
          • $export PATH=/usr/local/bin:$PATH
          • $mkvirtualenv -p python2.7 [virtual-environment]

    

  • Clone ydk-gen and install the requirements
  • Install from Python
    • You can install the latest model packages from the Python package index
      • pip install ydk-models-cisco-ios-xr


I will ping you (jngokgwe)

Highlighted

Were you able to get your installation working?

Highlighted

Highlighted

Hi Jean-Marie

 

The link is having syntax errors.

Have you tried to install the latest YDK release 0.8.2?

What is the platform that you are having installation issues?

Currently supported Ubuntu releases are Xenial and Bionic. Any considerations for you to upgrade?

 

Thanks,

Yan

 

This widget could not be displayed.